2017-11-23 07:36 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004969CentOS-6Otherpublic2011-12-06 15:39
Reporterharrigan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version6.0 
Target Version6.1Fixed in Version6.1 
Summary0004969: DVD ISO fails to install automatically on uEFI based systems
DescriptionThe x86_64 DVD fails to automatically install when booting from a uEFI based system. This is a régression from RHEL 6.0 x86_64 release. I have not yet tried to force an install in uEFI by selecting the uEFI bootloader manually.
TagsQA-6.1
Attached Files

-Relationships
+Relationships

-Notes

~0013001

toracat (manager)

Adding similar problem reports from forum users:

http://www.centos.org/modules/newbb/viewtopic.php?topic_id=32136&forum=55

~0013002

_vins_ (reporter)

I've managed to boot and install CentOS 6.0 on the PowerEdge 2950 through UEFI.

What you have to do is as follows:
0) Insert your CentOS 6.0 installation DVD into DVD drive
1) In the pre?boot phase of system startup press <F11> to enter UEFI Boot Manager
2) Enter 'UEFI Boot Settings'
3) Choose 'Add Boot Option'
4) Point to 'BOOTX64.efi' file, which exact path is /EFI/EFI/BOOT/BOOTX64.efi on your DVD
5) Add Description (e.g. "CentOS 6.0") and optionally add Optional Data (which is passed to the boot image, not necessary)

After committing you should see that a new boot option has appeared in the UEFI Boot Manager. Choose this new option and enjoy your CentOS 6.0 installation!

~0013003

harrigan (reporter)

That workaround is fine as long as it's documented and is the behavior that you want. Keep in mind the both RHEL and SLES will boot EFI automatically from DVD. The problem appears to be that your DVD iso has the following directory structure, /EFI/EFI/BOOT/BOOTX86.efi instead of the proper boot path /EFI/BOOT/BOOTX86.efi. Check your build scripts and remove one of the EFI directories. Also appears to have to partial EFI boot stuff in there too. Just needs some cleanup for the next DVD ISO release.

~0013006

wolfy (developer)

I've added an entry under the "known issues" section of the Release Notes for CentOS 6.0. Hopefully the problem will be fixed in 6.1

~0013869

JohnnyHughes (administrator)

This is fixed in 6.1
+Notes

-Issue History
Date Modified Username Field Change
2011-07-13 14:31 harrigan New Issue
2011-07-18 15:38 toracat Note Added: 0013001
2011-07-18 16:39 _vins_ Note Added: 0013002
2011-07-18 18:47 harrigan Note Added: 0013003
2011-07-18 19:26 toracat Target Version => 6.1
2011-07-18 19:26 toracat Tag Attached: QA-6.1
2011-07-18 22:18 toracat Status new => assigned
2011-07-18 22:24 wolfy Note Added: 0013006
2011-12-06 15:39 JohnnyHughes Note Added: 0013869
2011-12-06 15:39 JohnnyHughes Status assigned => resolved
2011-12-06 15:39 JohnnyHughes Fixed in Version => 6.1
2011-12-06 15:39 JohnnyHughes Resolution open => fixed
+Issue History